VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ModuleClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
'*****************************************************************************
' Module:
'        ModuleClass.cls
'-----------------------------------------------------------------------------
' Description:
'        This file contains the properties and functions of this class.
'
'-----------------------------------------------------------------------------
' History:
'                 
'        Rev. Author         Date        Description
'        ---------------------------------------------------------------------
'        1.0  ste            29.09.99    final version
'             
'
'
'*****************************************************************************

Private sName  As String
Private sDescription  As String
Private sModuleDirectory As String
Private vParameter As Variant
Private bmoduleWithCG As Boolean

Public Property Get ModuleName() As String
    On Error Resume Next
    
    ModuleName = sName
End Property

Public Property Let ModuleName(sNew As String)
    On Error Resume Next

    sName = sNew
End Property

Public Property Get ModuleDescription() As String
    On Error Resume Next
    
    ModuleDescription = sDescription
End Property

Public Property Let ModuleDescription(sNew As String)
    On Error Resume Next

    sDescription = sNew
End Property

Public Property Get ModuleDirectory() As String
    On Error Resume Next
    
    ModuleDirectory = sModuleDirectory
End Property

Public Property Let ModuleDirectory(sNew As String)
    On Error Resume Next

    sModuleDirectory = sNew
End Property

Public Property Get ParameterValue() As Variant
    On Error Resume Next
    
    ParameterValue = vParameter
End Property

Public Property Let ParameterValue(vNew As Variant)
    On Error Resume Next

    vParameter = vNew
End Property

Public Property Get ModuleWithCG() As Boolean
    On Error Resume Next
    
    ModuleWithCG = bModuleWithCG
End Property

Public Property Let ModuleWithCG(bNew As Boolean)
    On Error Resume Next

    bModuleWithCG = bNew
End Property



Private Sub Class_Initialize()
End Sub

Private Sub Class_Terminate()
End Sub




